"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const occupyReplication = async (pool, duration) => {
  const response = await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.OCCUPY_REPLICATION.endpoint}?duration=${duration}`, {
    method: _moduleReplication.OCCUPY_REPLICATION.method
  });

  if (response.status === 200) {
    return {
      success: true
    };
  } else {
    const text = await response.text();
    return {
      success: false,
      message: text
    };
  }
};

var _default = occupyReplication;
exports.default = _default;
//# sourceMappingURL=occupy-replication.js.map